# Get approval user setups
Retrieve the properties of an approvalUserSetup object in Business Central.
## HTTP request
Replace the URL prefix for Business Central based on the environment. See API endpoints<../endpoints-apis-for-dynamics>.
```http
GET businesscentralPrefix/companies({companyId})/approvalUserSetups({approvalUserSetupId})
```
To retrieve all approval user setups, omit `({approvalUserSetupId})` from the request URL.
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a `200 OK` response code and an approvalUserSetup object in the response body.
## Example
Request
Here's an example of the request.
```http
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/approvalUserSetups({approvalUserSetupId})
```
Response
Here's an example of the response.
```json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "userId": "SARA",
    "userFullName": "Sara Davis",
    "salesPersonPurchaser": "SD",
    "approverId": "ADMIN",
    "salesAmountApprovalLimit": 10000,
    "unlimitedSalesApproval": false,
    "purchaseAmountApprovalLimit": 15000,
    "unlimitedPurchaseApproval": false,
    "requestApprovalAmountLimit": 5000,
    "unlimitedRequestApprovalAmount": false,
    "substitute": "ALEX",
    "email": "sara@contoso.com",
    "phoneNumber": "555-0100",
    "approvalAdmin": false,
    "lastModifiedDateTime": "2026-08-04T11:00:00Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_approvalusersetup

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_approvalusersetup_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_approvalusersetup_get/
